CMP(1)

BEZEICHNUNG
cmp - vergleicht zwei Dateien Byte für Byte

ÜBERSICHT
cmp [OPTION]… DATEI1 [DATEI2 [SKIP1 [SKIP2 ]]]

BESCHREIBUNG
Das Programm vergleicht zwei Dateien Byte für Byte.

Die optionalen Parameter SKIP1 und SKIP2 geben an, wieviele Byte am Anfang der jeweiligen Datei übersprungen werden sollen (in der Voreinstellung null).

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --print-bytes
    Byte ausgeben, die sich unterscheiden

-i, --ignore-initial=SKIP
    Überspringt die ersten SKIP Byte beider Eingaben

-i, --ignore-initial=SKIP1:SKIP2
    Überspringt die ersten SKIP1 Byte von DATEI1 und die ersten SKIP2 Byte von DATEI2

-l, --verbose
    Gibt die Positionen und Werte aller unterschiedlichen Bytes aus

-n, --bytes=MAX
    Vergleicht höchstens MAX Byte

-s, --quiet, --silent
    Alle normalen Ausgaben unterdrücken

--help
    zeigt Hilfeinformationen an und beendet das Programm.

-v, --version
    gibt Versionsinformationen aus und beendet das Programm.

Den SKIP-Werten kann eine multiplikative Endung (Suffix) folgen: kB 1000, K 1024, MB 1.000.000, M 1.048.576, GB 1.000.000.000, G 1.073.741.824 und so weiter für T, P, E, Z, Y.

Wenn eine DATEI fehlt oder wenn dafür »-« angegeben ist, wird die Standardeingabe gelesen. Für gleiche Eingaben ist der Exit-Status 0, bei Unterschieden 1 und bei Problemen 2.

AUTOR
Geschrieben von Torbjörn Granlund und David MacKenzie.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-diffutils@gnu.org.
Homepage der GNU diffutils: https://www.gnu.org/software/diffutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2021 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
diff(1), diff3(1), sdiff(1)

Die vollständige Dokumentation für cmp wird als Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und cmp auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info cmp

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Sebastian Hetze <S.Hetze@Linux-AG.com>, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).